export function getCityList(t, countryCode) {
  // Use a switch statement to return cities for the specified country code
  switch (countryCode) {
    case 'OMN':
      return [
        {
          label: t('MUSCAT'),
          value: 'MUSCAT',
        },
        {
          label: t('MUSANDAM'),
          value: 'MUSANDAM',
        },
        {
          label: t('AD_DAKHILIYAH'),
          value: 'AD_DAKHILIYAH',
        },
        {
          label: t('AD_DHAHIRAH'),
          value: 'AD_DHAHIRAH',
        },
        {
          label: t('AL_BATINAH_NORTH'),
          value: 'AL_BATINAH_NORTH',
        },
        {
          label: t('AL_BATINAH_SOUTH'),
          value: 'AL_BATINAH_SOUTH',
        },
        {
          label: t('AL_BURAYMI'),
          value: 'AL_BURAYMI',
        },
        {
          label: t('AL_WUSTA'),
          value: 'AL_WUSTA',
        },
        {
          label: t('ASH_SHARQIYAH_NORTH'),
          value: 'ASH_SHARQIYAH_NORTH',
        },
        {
          label: t('ASH_SHARQIYAH_SOUTH'),
          value: 'ASH_SHARQIYAH_SOUTH',
        },
        {
          label: t('DHOFAR'),
          value: 'DHOFAR',
        },
      ];
    case 'UAE':
      return [
        {
          label: t('ABU_DHABI'),
          value: 'ABU_DHABI',
        },
        {
          label: t('AJMAN'),
          value: 'AJMAN',
        },
        {
          label: t('DUBAI'),
          value: 'DUBAI',
        },
        {
          label: t('FUJAIRAH'),
          value: 'FUJAIRAH',
        },
        {
          label: t('RAS_AL_KHAIMAH'),
          value: 'RAS_AL_KHAIMAH',
        },
        {
          label: t('SHARJAH'),
          value: 'SHARJAH',
        },
        {
          label: t('UMM_AL_QUWAIN'),
          value: 'UMM_AL_QUWAIN',
        },
      ];
    case 'QAT':
      return [
        {
          label: t('DOHA'),
          value: 'DOHA',
        },
        {
          label: t('AL_SHAMAL'),
          value: 'AL_SHAMAL',
        },
        {
          label: t('AL_KHOR'),
          value: 'AL_KHOR',
        },
        {
          label: t('AL_SHAHANIYA'),
          value: 'AL_SHAHANIYA',
        },
        {
          label: t('UMM_SALAL'),
          value: 'UMM_SALAL',
        },
        {
          label: t('AL_DAAYEN'),
          value: 'AL_DAAYEN',
        },
        {
          label: t('AL_RAYYAN'),
          value: 'AL_RAYYAN',
        },
        {
          label: t('AL_WAKRAH'),
          value: 'AL_WAKRAH',
        },
      ];
    case 'KWT':
      return [
        {
          value: 'CAPITAL',
          label: t('CAPITAL'),
        },
        {
          value: 'AHMADI',
          label: t('AHMADI'),
        },
        {
          value: 'FARWANIYA',
          label: t('FARWANIYA'),
        },
        {
          value: 'JAHRA',
          label: t('JAHRA'),
        },
        {
          value: 'HAWALLI',
          label: t('HAWALLI'),
        },
        {
          value: 'MUBARAK_AL_KABEER',
          label: t('MUBARAK_AL_KABEER'),
        },
      ];
    case 'BHR':
      return [
        {
          value: 'CAPITAL',
          label: t('CAPITAL'),
        },
        {
          value: 'MUHARRAQ',
          label: t('MUHARRAQ'),
        },
        {
          value: 'NORTHERN',
          label: t('NORTHERN'),
        },
        {
          value: 'SOUTHERN',
          label: t('SOUTHERN'),
        },
      ];
    case 'KSA':
      return [
        {
          value: 'RIYADH',
          label: t('RIYADH'),
        },
        {
          value: 'DIRIYAH',
          label: t('DIRIYAH'),
        },
        {
          value: 'AL_KHARJ',
          label: t('AL_KHARJ'),
        },
        {
          value: 'DAWADMI',
          label: t('DAWADMI'),
        },
        {
          value: 'AL_MAJMAAH',
          label: t('AL_MAJMAAH'),
        },
        {
          value: 'AL_QUWAYIYAH',
          label: t('AL_QUWAYIYAH'),
        },
        {
          value: 'WADI_AD_DAWASIR',
          label: t('WADI_AD_DAWASIR'),
        },
        {
          value: 'AL_AFLAJ',
          label: t('AL_AFLAJ'),
        },
        {
          value: 'AL_ZULFI',
          label: t('AL_ZULFI'),
        },
        {
          value: 'SHAQRAA',
          label: t('SHAQRAA'),
        },
        {
          value: 'HOTAT_BANI_TAMIM',
          label: t('HOTAT_BANI_TAMIM'),
        },
        {
          value: 'AFIF',
          label: t('AFIF'),
        },
        {
          value: 'AS_SULAYYIL',
          label: t('AS_SULAYYIL'),
        },
        {
          value: 'DHURMA',
          label: t('DHURMA'),
        },
        {
          value: 'AL_MUZAHMIYYA',
          label: t('AL_MUZAHMIYYA'),
        },
        {
          value: 'RUMAH',
          label: t('RUMAH'),
        },
        {
          value: 'THADIG',
          label: t('THADIG'),
        },
        {
          value: 'HURAYMILA',
          label: t('HURAYMILA'),
        },
        {
          value: 'AL_HARIQ',
          label: t('AL_HARIQ'),
        },
        {
          value: 'AL_GHAT',
          label: t('AL_GHAT'),
        },
        {
          value: 'MECCA',
          label: t('MECCA'),
        },
        {
          value: 'JEDDAH',
          label: t('JEDDAH'),
        },
        {
          value: 'TAIF',
          label: t('TAIF'),
        },
        {
          value: 'AL_QUNFUDHAH',
          label: t('AL_QUNFUDHAH'),
        },
        {
          value: 'AL_LITH',
          label: t('AL_LITH'),
        },
        {
          value: 'RABIGH',
          label: t('RABIGH'),
        },
        {
          value: 'AL_JUMUM',
          label: t('AL_JUMUM'),
        },
        {
          value: 'KHULAYS',
          label: t('KHULAYS'),
        },
        {
          value: 'AL_KAMIL',
          label: t('AL_KAMIL'),
        },
        {
          value: 'AL_KHURMAH',
          label: t('AL_KHURMAH'),
        },

        {
          value: 'RANYAH',
          label: t('RANYAH'),
        },
        {
          value: 'TURUBAH',
          label: t('TURUBAH'),
        },
        {
          value: 'MEDINA',
          label: t('MEDINA'),
        },

        {
          value: 'YANBU',
          label: t('YANBU'),
        },
        {
          value: 'AL_ULA',
          label: t('AL_ULA'),
        },
        {
          value: 'MAHD_ADH_DHAHAB',
          label: t('MAHD_ADH_DHAHAB'),
        },
        {
          value: 'BADR',
          label: t('BADR'),
        },
        {
          value: 'KHAYBAR',
          label: t('KHAYBAR'),
        },
        {
          value: 'AL_HINAKIYAH',
          label: t('AL_HINAKIYAH'),
        },
        {
          value: 'BURAIDAH',
          label: t('BURAIDAH'),
        },
        {
          value: 'UNAIZAH',
          label: t('UNAIZAH'),
        },
        {
          value: 'AR_RASS',
          label: t('AR_RASS'),
        },
        {
          value: 'AL_MITHNAB',
          label: t('AL_MITHNAB'),
        },
        {
          value: 'AL_BUKAYRIYAH',
          label: t('AL_BUKAYRIYAH'),
        },
        {
          value: 'AL_BADAYEA',
          label: t('AL_BADAYEA'),
        },
        {
          value: 'ASYAH',
          label: t('ASYAH'),
        },
        {
          value: 'AL_NABHANIYAH',
          label: t('AL_NABHANIYAH'),
        },
        {
          value: 'UYUN_AL_JIWA',
          label: t('UYUN_AL_JIWA'),
        },

        {
          value: 'RIYADH_AL_KHABRA',
          label: t('RIYADH_AL_KHABRA'),
        },
        {
          value: 'AL_SHIMASIYAH',
          label: t('AL_SHIMASIYAH'),
        },
        {
          value: 'DAMMAM',
          label: t('DAMMAM'),
        },
        {
          value: 'AL_AHSA',
          label: t('AL_AHSA'),
        },
        {
          value: 'HAFAR_AL_BATIN',
          label: t('HAFAR_AL_BATIN'),
        },
        {
          value: 'JUBAIL',
          label: t('JUBAIL'),
        },
        {
          value: 'QATIF',
          label: t('QATIF'),
        },
        {
          value: 'KHOBAR',
          label: t('KHOBAR'),
        },
        {
          value: 'KHAFJI',
          label: t('KHAFJI'),
        },
        {
          value: 'RAS_TANURA',
          label: t('RAS_TANURA'),
        },
        {
          value: 'ABQAIQ',
          label: t('ABQAIQ'),
        },
        {
          value: 'AL_NAIRYAH',
          label: t('AL_NAIRYAH'),
        },
        {
          value: 'QARYAT_AL_ULYA',
          label: t('QARYAT_AL_ULYA'),
        },
        {
          value: 'ABHA',
          label: t('ABHA'),
        },
        {
          value: 'KHAMIS_MUSHAIT',
          label: t('KHAMIS_MUSHAIT'),
        },
        {
          value: 'BISHA',
          label: t('BISHA'),
        },
        {
          value: 'AL_NAMAS',
          label: t('AL_NAMAS'),
        },
        {
          value: 'MUHAYIL',
          label: t('MUHAYIL'),
        },
        {
          value: 'SARAT_ABIDAH',
          label: t('SARAT_ABIDAH'),
        },
        {
          value: 'TATHLITH',
          label: t('TATHLITH'),
        },
        {
          value: 'ROJAL',
          label: t('ROJAL'),
        },
        {
          value: 'AHAD_RAFIDAH',
          label: t('AHAD_RAFIDAH'),
        },
        {
          value: 'DHAHRAN_AL_JANUB',
          label: t('DHAHRAN_AL_JANUB'),
        },
        {
          value: 'BALQARN',
          label: t('BALQARN'),
        },
        {
          value: 'AL_MAJARIDAH',
          label: t('AL_MAJARIDAH'),
        },
        {
          value: 'TABUK',
          label: t('TABUK'),
        },

        {
          value: 'AL_WAJH',
          label: t('AL_WAJH'),
        },
        {
          value: 'DUBA',
          label: t('DUBA'),
        },
        {
          value: 'TAYMA',
          label: t('TAYMA'),
        },
        {
          value: 'UMLUJ',
          label: t('UMLUJ'),
        },
        {
          value: 'HAQL',
          label: t('HAQL'),
        },
        {
          value: 'HAIL',
          label: t('HAIL'),
        },
        {
          value: 'BAQAA',
          label: t('BAQAA'),
        },
        {
          value: 'AL_KHAZAIAH',
          label: t('AL_KHAZAIAH'),
        },
        {
          value: 'AL_SHINAN',
          label: t('AL_SHINAN'),
        },
        {
          value: 'ARAR',
          label: t('ARAR'),
        },
        {
          value: 'RAFHA',
          label: t('RAFHA'),
        },
        {
          value: 'TURAIF',
          label: t('TURAIF'),
        },
        {
          value: 'JIZAN',
          label: t('JIZAN'),
        },
        {
          value: 'SABYA',
          label: t('SABYA'),
        },
        {
          value: 'ABU_ARISH',
          label: t('ABU_ARISH'),
        },
        {
          value: 'SAMTAH',
          label: t('SAMTAH'),
        },
        {
          value: 'AL_HARTH',
          label: t('AL_HARTH'),
        },
        {
          value: 'DAMAD',
          label: t('DAMAD'),
        },
        {
          value: 'AL_REETH',
          label: t('AL_REETH'),
        },
        {
          value: 'BAISH',
          label: t('BAISH'),
        },
        {
          value: 'FARASAN',
          label: t('FARASAN'),
        },
        {
          value: 'AL_DAYER',
          label: t('AL_DAYER'),
        },
        {
          value: 'AHAD_AL_MASARIHAH',
          label: t('AHAD_AL_MASARIHAH'),
        },
        {
          value: 'AL_EDABI',
          label: t('AL_EDABI'),
        },
        {
          value: 'AL_ARIDHAH',
          label: t('AL_ARIDHAH'),
        },
        {
          value: 'AL_DARB',
          label: t('AL_DARB'),
        },
        {
          value: 'NAJRAN',
          label: t('NAJRAN'),
        },
        {
          value: 'SHARURAH',
          label: t('SHARURAH'),
        },
        {
          value: 'HUBUNA',
          label: t('HUBUNA'),
        },
        {
          value: 'BADR_AL_JANUB',
          label: t('BADR_AL_JANUB'),
        },
        {
          value: 'YADAMAH',
          label: t('YADAMAH'),
        },
        {
          value: 'THAR',
          label: t('THAR'),
        },
        { value: 'KHUBASH', label: t('KHUBASH') },
        { value: 'AL_KHARKHIR', label: t('AL_KHARKHIR') },
        { value: 'AL_BAHA', label: t('AL_BAHAH') },
        { value: 'BALJURASHI', label: t('BALJURASHI') },
        { value: 'AL_MANDAQ', label: t('AL_MANDAQ') },
        { value: 'AL_MAKHWAH', label: t('AL_MAKHWAH') },
        { value: 'AL_AQIQ', label: t('AL_AQIQ') },
        { value: 'QILWAH', label: t('QILWAH') },
        { value: 'AL_QARA', label: t('AL_QARA') },
        { value: 'SAKAKAH', label: t('SAKAKAH') },
        { value: 'QURAYYAT', label: t('QURAYYAT') },
        { value: 'DUMAT_AL_JANDAL', label: t('DUMAT_AL_JANDAL') },
      ];
    case 'JOR':
      return [
        { value: 'AMMAN', label: t('AMMAN') },
        { value: 'IRBID', label: t('IRBID') },
        { value: 'AQABA', label: t('AQABA') },
        // { value: 'ZARQA', label: t('ZARQA') },
      ];

    // Add more cases for other country codes
    default:
      return [];
  }
}
